@echo off
REM Script de compilação para Free Pascal (FPC) no Windows de 32 bits

REM Caminho para o compilador Free Pascal
set FPC_PATH=C:\FPC\3.2.2\bin\i386-win32
set FPC_CFG=C:\wv\fontes\fpc.cfg

REM Verificar se o nome do projeto foi fornecido
if "%1"=="" (
    echo Por favor, forneça o nome do projeto a ser compilado.
    exit /b 1
)

REM Defina o caminho para os arquivos fonte
set SOURCE_PATH=%cd%

REM Compilar o arquivo principal, garantindo que o fpc.cfg seja utilizado
%FPC_PATH%\fpc.exe @%FPC_CFG% -Mdelphi -Twin32 -FuC:\wv\fontes\tradutor -FuC:\wv\fontes\lianetts -Fu%SOURCE_PATH%\lib %SOURCE_PATH%\%1.dpr > %SOURCE_PATH%\%1.log

REM Verificar se a compilação foi bem-sucedida
if %errorlevel% neq 0 (
    echo Erro na compilação.
    exit /b %errorlevel%
) else (
    echo Compilação bem-sucedida.
)

REM Exibir o log com o edivox.exe
start c:\winvox\edivox.exe /l %SOURCE_PATH%\%1.log
exit
